<script>
    let header = "mt-6 space-y-6 sm:mt-4 sm:space-y-4"
    let noHeader = "mt-6 space-y-6 sm:mt-0 sm:space-y-4"
    export let tab
</script>

<div class="z-10 absolute top-full inset-x-0 text-sm text-gray-500">
    <!-- Presentational element used to render the bottom shadow, if we put the shadow on the actual panel it pokes out the top, so we use this shorter element to hide the top of the shadow -->
    <div class="absolute inset-0 top-1/2 bg-white shadow" aria-hidden="true" />

    <div class="relative bg-white">
        <div class="max-w-7xl mx-auto px-8">
            <div class="grid grid-cols-2 gap-y-10 gap-x-8 py-16">
                <!-- Showcase-->
                <div class="col-start-2 grid grid-cols-2 gap-x-8">
                    {#each tab.cards as card}
                        <div class="group relative text-base sm:text-sm">
                            <div
                                class="aspect-w-1 aspect-h-1 rounded-lg bg-gray-100 overflow-hidden group-hover:opacity-75">
                                <img
                                    src={card.image}
                                    alt={card.alt}
                                    class="object-center object-cover" />
                            </div>
                            <a
                                href={card.link}
                                class="mt-6 block font-medium text-gray-900">
                                <span
                                    class="absolute z-10 inset-0"
                                    aria-hidden="true" />
                                {card.label}
                            </a>
                            <p aria-hidden="false" class="mt-1">
                                {card.action}
                            </p>
                        </div>
                    {/each}
                </div>
                <!-- Menu links-->
                <div
                    class="row-start-1 grid grid-cols-3 gap-y-10 gap-x-8 text-sm">
                    {#each tab.items as item}
                        <div>
                            {#if item.header != null}
                                <p
                                    id="{item.header}-heading"
                                    class="font-medium text-gray-800">
                                    {item.header}
                                </p>
                            {/if}
                            <ul
                                role="list"
                                aria-labelledby="{item.header}-heading"
                                class={item.header != null ? header : noHeader}>
                                {#each item.categories as category}
                                    <li class="flex">
                                        <a
                                            href={category.link}
                                            class="hover:text-gray-800"
                                            class:noHeaderLi={item.header ===
                                                null}>
                                            {category.label}
                                        </a>
                                    </li>
                                {/each}
                            </ul>
                        </div>
                    {/each}
                </div>
            </div>
        </div>
    </div>
</div>

<style>
    .noHeaderLi {
        @apply font-medium;
        @apply text-gray-900;
    }
</style>
